%global mod_name ssh-cli-auth-module
%global short_name ssh-cli-auth

Name:           jenkins-ssh-cli-auth
Version:        1.2
Release:        %mkrel 9
Group:          Development/Java
Summary:        Jenkins SSH CLI client authenticator

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/ssh-cli-auth-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Taken from http://opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)

BuildArch:      noarch

%description
This package provides Jenkins module for authenticating CLI clients using SSH
keys.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .

#%%pom_remove_parent
%mvn_package "::jm::" __noinstall

%build
# tests are disabled: "package org.jvnet.hudson.test does not exist"
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.2-9.mga6
+ Revision: 989025
- Rebuild against fixed jenkins
- imported package jenkins-ssh-cli-auth

